Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.smc.parser
Class SmcParserContext

    java.lang.Object
      statemap.FSMContext
          net.sf.smc.parser.SmcParserContext

All Implemented Interfaces:
  java.io.Serializable

    public final class SmcParserContext

extends statemap.FSMContext

See Also:
  Serialized Form

Nested Class Summary
`protected static class` | `SmcParserContext.ActionMap_Default`
`protected static class` | `SmcParserContext.ArgsMap_Default`
`protected static class` | `SmcParserContext.ParamMap_Default`
`protected static class` | `SmcParserContext.ParserMap_Default`
`static class` | `SmcParserContext.SmcParserState`

Field Summary

Fields inherited from class statemap.FSMContext
`_debugFlag, _debugStream, _name, _previousState, _state, _stateStack, _transition`

Constructor Summary
`SmcParserContext(SmcParser owner)`
`SmcParserContext(SmcParser owner, SmcParserContext.SmcParserState initState)`

Method Summary
`void` | `ACCESS(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `actionsDone(java.util.List<SmcAction> actions, int lineNumber)`
`void` | `actionsError()`
`void` | `argsDone(java.util.List<java.lang.String> args)`
`void` | `argsError()`
`void` | `CLASS_NAME(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `COLON(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `COMMA(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `DECLARE(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `DOLLAR(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `ENTRY(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `EOD(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `EQUAL(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `EXIT(net.sf.smc.parser.SmcLexer.Token token)`
`protected SmcParser` | `getOwner()`
`SmcParserContext.SmcParserState` | `getState()`
`void` | `HEADER_FILE(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `IMPORT(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `INCLUDE_FILE(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `JUMP(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `LEFT_BRACE(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `LEFT_BRACKET(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `LEFT_PAREN(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `MAP_NAME(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `PACKAGE_NAME(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `paramsDone(java.util.List<SmcParameter> params, int lineNumber)`
`void` | `paramsError(java.util.List<SmcParameter> params, int lineNumber)`
`void` | `POP(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `PUSH(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `RIGHT_BRACE(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `RIGHT_PAREN(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `SEMICOLON(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `setOwner(SmcParser owner)`
`void` | `SLASH(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `SOURCE(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `START_STATE(net.sf.smc.parser.SmcLexer.Token token)`
`void` | `WORD(net.sf.smc.parser.SmcLexer.Token token)`

Methods inherited from class statemap.FSMContext
`addStateChangeListener, clearState, emptyStateStack, getDebugFlag, getDebugStream, getName, getPreviousState, getTransition, isInTransition, popState, pushState, removeStateChangeListener, setDebugFlag, setDebugStream, setName, setState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmcParserContext

    public SmcParserContext(SmcParser owner)

### SmcParserContext

    public SmcParserContext(SmcParser owner,
                            SmcParserContext.SmcParserState initState)

Method Detail

### ACCESS

    public void ACCESS(net.sf.smc.parser.SmcLexer.Token token)

### CLASS_NAME

    public void CLASS_NAME(net.sf.smc.parser.SmcLexer.Token token)

### COLON

    public void COLON(net.sf.smc.parser.SmcLexer.Token token)

### COMMA

    public void COMMA(net.sf.smc.parser.SmcLexer.Token token)

### DECLARE

    public void DECLARE(net.sf.smc.parser.SmcLexer.Token token)

### DOLLAR

    public void DOLLAR(net.sf.smc.parser.SmcLexer.Token token)

### ENTRY

    public void ENTRY(net.sf.smc.parser.SmcLexer.Token token)

### EOD

    public void EOD(net.sf.smc.parser.SmcLexer.Token token)

### EQUAL

    public void EQUAL(net.sf.smc.parser.SmcLexer.Token token)

### EXIT

    public void EXIT(net.sf.smc.parser.SmcLexer.Token token)

### HEADER_FILE

    public void HEADER_FILE(net.sf.smc.parser.SmcLexer.Token token)

### IMPORT

    public void IMPORT(net.sf.smc.parser.SmcLexer.Token token)

### INCLUDE_FILE

    public void INCLUDE_FILE(net.sf.smc.parser.SmcLexer.Token token)

### JUMP

    public void JUMP(net.sf.smc.parser.SmcLexer.Token token)

### LEFT_BRACE

    public void LEFT_BRACE(net.sf.smc.parser.SmcLexer.Token token)

### LEFT_BRACKET

    public void LEFT_BRACKET(net.sf.smc.parser.SmcLexer.Token token)

### LEFT_PAREN

    public void LEFT_PAREN(net.sf.smc.parser.SmcLexer.Token token)

### MAP_NAME

    public void MAP_NAME(net.sf.smc.parser.SmcLexer.Token token)

### PACKAGE_NAME

    public void PACKAGE_NAME(net.sf.smc.parser.SmcLexer.Token token)

### POP

    public void POP(net.sf.smc.parser.SmcLexer.Token token)

### PUSH

    public void PUSH(net.sf.smc.parser.SmcLexer.Token token)

### RIGHT_BRACE

    public void RIGHT_BRACE(net.sf.smc.parser.SmcLexer.Token token)

### RIGHT_PAREN

    public void RIGHT_PAREN(net.sf.smc.parser.SmcLexer.Token token)

### SEMICOLON

    public void SEMICOLON(net.sf.smc.parser.SmcLexer.Token token)

### SLASH

    public void SLASH(net.sf.smc.parser.SmcLexer.Token token)

### SOURCE

    public void SOURCE(net.sf.smc.parser.SmcLexer.Token token)

### START_STATE

    public void START_STATE(net.sf.smc.parser.SmcLexer.Token token)

### WORD

    public void WORD(net.sf.smc.parser.SmcLexer.Token token)

### actionsDone

    public void actionsDone(java.util.List<SmcAction> actions,
                            int lineNumber)

### actionsError

    public void actionsError()

### argsDone

    public void argsDone(java.util.List<java.lang.String> args)

### argsError

    public void argsError()

### paramsDone

    public void paramsDone(java.util.List<SmcParameter> params,
                           int lineNumber)

### paramsError

    public void paramsError(java.util.List<SmcParameter> params,
                            int lineNumber)

### getState

    public SmcParserContext.SmcParserState getState()
                                             throws statemap.StateUndefinedException

  Throws:
    `statemap.StateUndefinedException`

### getOwner

    protected SmcParser getOwner()

### setOwner

    public void setOwner(SmcParser owner)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. Charles W. Rapp. All Rights Reserved. Use is subject to license terms.